Pythin-2.2.1 install on Solaris question.

Martin v. Löwis loewis at informatik.hu-berlin.de
Thu Oct 17 10:43:35 CEST 2002


Hennie Rautenbach <hennie at sabinet.co.za> writes:

> I am having difficulty installing Python-2.2.1 on a Solaris 8 system
> uisng the Gnu-C compiler.

Which version of the C compiler? If gcc 3, do you have libgcc_s.so.1
in your LD_LIBRARY_PATH?

> /usr/local/bin/gcc -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -fPIC
> -I. -I/usr/local/src/Python-2.2.1/./Include -I/usr/local/include
> -IInclude/ -c /usr/local/src
> /Python-2.2.1/Modules/pwdmodule.c -o
> build/temp.solaris-2.8-sun4u-2.2/pwdmodule.o
> /usr/local/bin/gcc -shared
> build/temp.solaris-2.8-sun4u-2.2/pwdmodule.o -L/usr/local/lib -o
> build/lib.solaris-2.8-sun4u-2.2/pwd.so
> WARNING: removing "pwd" since importing it failed
> 
> Why is this happening ? What am I doing wrong ?

Unfortunately, this is unclear. Please invoke the compilation commands
manually, ie.

/usr/local/bin/gcc -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -fPIC \
 -I. -I/usr/local/src/Python-2.2.1/./Include -I/usr/local/include \
 -IInclude/ -c /usr/local/src \
 /Python-2.2.1/Modules/pwdmodule.c -o \
 build/temp.solaris-2.8-sun4u-2.2/pwdmodule.o

/usr/local/bin/gcc -shared \
 build/temp.solaris-2.8-sun4u-2.2/pwdmodule.o -L/usr/local/lib -o\
 build/lib.solaris-2.8-sun4u-2.2/pwd.so

Then invoke ./python, and "import pwd". That should give a more
detailed error message. If you cannot interpret this error message,
please post it here.

Regards,
Martin




More information about the Python-list mailing list